OpenVDB 12.1.0

Loading...
Searching...
No Matches
is_specialization< AnyType, TemplateType > Struct Template Reference

Metafunction used to determine if the first template parameter is a specialization of the class template given in the second template parameter. More...

`#include <nanovdb/util/Util.h>`

## Static Public Attributes
static const bool | value = false

## Detailed Description

template<typename AnyType, template< typename... > class TemplateType>
struct nanovdb::util::is_specialization< AnyType, TemplateType >

Metafunction used to determine if the first template parameter is a specialization of the class template given in the second template parameter.

is_specialization<Vec3<float>, Vec3>value == true; is_specialization<Vec3f, Vec3>::value == true; is_specialization<std::vector<float>, std::vector>value == true;

## Member Data Documentation

## ◆ value

template<typename AnyType, template< typename... > class TemplateType>

const bool value = false
| static